Package org.eclipse.graphiti.ui.editor

## Class DefaultPersistencyBehavior.SaveOperation

- java.lang.Object
- - org.eclipse.graphiti.ui.editor.DefaultPersistencyBehavior.SaveOperation

All Implemented Interfaces:
  `org.eclipse.jface.operation.IRunnableWithProgress`, `org.eclipse.jface.operation.IThreadListener`

Enclosing class:
  DefaultPersistencyBehavior

    protected final class DefaultPersistencyBehavior.SaveOperation
    extends java.lang.Object
    implements org.eclipse.jface.operation.IRunnableWithProgress, org.eclipse.jface.operation.IThreadListener

The workspace operation used to do the actual save.

Since:
  0.11

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run​(org.eclipse.core.runtime.IProgressMonitor monitor)`
`void` `threadChange​(java.lang.Thread thread)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### run

    public void run​(org.eclipse.core.runtime.IProgressMonitor monitor)

Specified by:
  `run` in interface `org.eclipse.jface.operation.IRunnableWithProgress`

#### threadChange

    public void threadChange​(java.lang.Thread thread)

Specified by:
  `threadChange` in interface `org.eclipse.jface.operation.IThreadListener`